PDA

View Full Version : Lightwave 11.6.3 mac compatibility



Commander_Chaos
01-27-2019, 02:37 PM
Just got a new mac with OS 10.13.3 and I'm trying to install LW 11.6.3 but the installer doesn't work. Do I need a newer version?

jwiede
01-27-2019, 03:12 PM
I can't test the installer at the moment, but can confirm that both LW11.6.3 Layout and Modeler appear to run fine on OSX 10.13.6. Hope that helps!